org.eclipse.graphiti.mm

## Interface MmPackage.Literals

Enclosing interface:
  MmPackage

    public static interface MmPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

### Field Summary

Fields
`static org.eclipse.emf.ecore.EClass` `GRAPHICS_ALGORITHM_CONTAINER` The meta object literal for the '`Graphics Algorithm Container`' class.
`static org.eclipse.emf.ecore.EClass` `PROPERTY` The meta object literal for the '`Property`' class.
`static org.eclipse.emf.ecore.EAttribute` `PROPERTY__KEY` The meta object literal for the 'Key' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `PROPERTY__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` `PROPERTY_CONTAINER` The meta object literal for the '`Property Container`' class.
`static org.eclipse.emf.ecore.EReference` `PROPERTY_CONTAINER__PROPERTIES` The meta object literal for the 'Properties' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `STYLE_CONTAINER` The meta object literal for the '`Style Container`' class.
`static org.eclipse.emf.ecore.EReference` `STYLE_CONTAINER__STYLES` The meta object literal for the 'Styles' containment reference list feature.

### Field Detail

#### PROPERTY

    static final org.eclipse.emf.ecore.EClass PROPERTY

The meta object literal for the '`Property`' class.

See Also:
  `PropertyImpl`, `MmPackageImpl.getProperty()`

#### PROPERTY__KEY

    static final org.eclipse.emf.ecore.EAttribute PROPERTY__KEY

The meta object literal for the 'Key' attribute feature.

#### PROPERTY__VALUE

    static final org.eclipse.emf.ecore.EAttribute PROPERTY__VALUE

The meta object literal for the 'Value' attribute feature.

#### GRAPHICS_ALGORITHM_CONTAINER

    static final org.eclipse.emf.ecore.EClass GRAPHICS_ALGORITHM_CONTAINER

The meta object literal for the '`Graphics Algorithm Container`' class.

See Also:
  `GraphicsAlgorithmContainerImpl`, `MmPackageImpl.getGraphicsAlgorithmContainer()`

#### PROPERTY_CONTAINER

    static final org.eclipse.emf.ecore.EClass PROPERTY_CONTAINER

The meta object literal for the '`Property Container`' class.

See Also:
  `PropertyContainerImpl`, `MmPackageImpl.getPropertyContainer()`

#### PROPERTY_CONTAINER__PROPERTIES

    static final org.eclipse.emf.ecore.EReference PROPERTY_CONTAINER__PROPERTIES

The meta object literal for the 'Properties' containment reference list feature.

#### STYLE_CONTAINER

    static final org.eclipse.emf.ecore.EClass STYLE_CONTAINER

The meta object literal for the '`Style Container`' class.

See Also:
  `StyleContainerImpl`, `MmPackageImpl.getStyleContainer()`

#### STYLE_CONTAINER__STYLES

    static final org.eclipse.emf.ecore.EReference STYLE_CONTAINER__STYLES

The meta object literal for the 'Styles' containment reference list feature.